{% extends 'admin.html.twig' %}

{% block title %}Product index{% endblock %}

{% block body %}
    <h1>Product index</h1>
    <a href="{{ path('app_admin_product_new') }}">Create new</a>
    <table class="table contenair-fluid">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Description</th>
                <th>Genre</th>
                <th>author</th>
                <th>Price</th>
                <th>Publisher</th>
                <th>Valid</th>
                <th>Rating</th>
                <th>Picture</th>              
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for product in products %}
            <tr>
                <td>{{ product.id }}</td>
                <td>{{ product.name }}</td>
                <td>{{ product.description }}</td>
                <td>{{ product.genre.name}}</td>
                <td>{{ product.author.name}}</td>
                <td>{{ product.price }}</td>
                <td>{{ product.publisher.name}}</td>
                <td>{{ product.valid ? 'Yes' : 'No' }}</td>
                <td>{{ product.rating }}</td>
                <td>{{ product.picture }}</td>
                <td>
                    <a href="{{ path('app_admin_product_show', {'id': product.id}) }}">show</a>
                    <a href="{{ path('app_admin_product_edit', {'id': product.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    
{% endblock %}
